Skip to navigation

Create user authorization

View as Markdown

Creates an authorization allowing one user to send and/or manage envelopes on behalf of another user.

The agent user acts on behalf of the principal user. The principal user is specified by the userId path parameter. The agent user is specified in the request body. Each principal user can only share signing permission with one agent user.

Specify in the request the level of access to share with the agent user. If you share signing access, the agent user will receive an email notification.

To call this endpoint:

  • You must be an account administrator or you must be the principal user.
  • The agent user and principal user must belong to the same account.
  • At least one of the following account settings must be enabled: AllowDelegatedSigning, AllowManagingEnvelopesOnBehalfOfOthers, AllowEditingEnvelopesOnBehalfOfOthers, AllowSendingEnvelopesOnBehalfOfOthers. These settings correspond to the level of access you can set for the authorization.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired
The ID of the principal user.

Request

This endpoint expects an object: userAuthorizationCreateRequest

agentUserobjectOptional
endDatestringOptional

The UTC DateTime to end the authorization. The default value is the max UTC value (9999-12-31T23:59:59.0000000+00:00).

permissionstringOptional

The permission level to grant the agent. Valid values:

  • Send
  • Manage
  • Sign
  • Edit

This property is required.

startDatestringOptional
The UTC DateTime to initiate the authorization. The default value is the current date and time.
taskSourcestringOptional
taskTypestringOptional

Response

Successful response.
agentUserobjectOptional
authorizationIdstringOptional
The ID of the user authorization.
createdstringOptional
The UTC DateTime when the workspace user authorization was created.
createdBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

endDatestringOptional
The UTC DateTime at which the authorization will expire.
modifiedstringOptional
The UTC DateTime when the workspace user authorization was last updated.
modifiedBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

permissionstringOptional

The permission level to grant the agent. Valid values:

  • Send
  • Manage
  • Sign
  • Edit

This property is required.

principalUserobjectOptional
startDatestringOptional
The UTC DateTime at which the authorization will start.
taskSourcestringOptional
taskTypestringOptional

Errors

400
Bad Request Error